• Thomas Huth's avatar
    Polish the version strings containing the package version · 7e563bfb
    Thomas Huth authored
    Since commit 67a1de0d there is no space anymore between the
    version number and the parentheses when running configure with
    --with-pkgversion=foo :
    
     $ qemu-system-s390x --version
     QEMU emulator version 2.11.50(foo)
    
    But the space is included when building without that option
    when building from a git checkout:
    
     $ qemu-system-s390x --version
     QEMU emulator version 2.11.50 (v2.11.0-1494-gbec9c64e-dirty)
    
    The same confusion exists with the "query-version" QMP command.
    Let's fix this by introducing a proper QEMU_FULL_VERSION definition
    that includes the space and parentheses, while the QEMU_PKGVERSION
    should just cleanly contain the package version string itself.
    Note that this also changes the behavior of the "query-version" QMP
    command (the space and parentheses are not included there anymore),
    but that's supposed to be OK since the strings there are not meant
    to be parsed by other tools.
    
    Fixes: 67a1de0d
    Buglink: https://bugs.launchpad.net/qemu/+bug/1673373Signed-off-by: 's avatarThomas Huth <thuth@redhat.com>
    Message-Id: <1518692807-25859-1-git-send-email-thuth@redhat.com>
    Signed-off-by: 's avatarPaolo Bonzini <pbonzini@redhat.com>
    7e563bfb